"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.expecter = void 0;
var compiler_1 = require("./compiler");
var snippet_1 = require("./snippet");
function expecter(factory, compilerOrOptions, rootDirectory) {
    if (factory === void 0) { factory = function (code) { return code; }; }
    var compiler = compilerOrOptions instanceof compiler_1.Compiler
        ? compilerOrOptions
        : new compiler_1.Compiler(compilerOrOptions, rootDirectory);
    return function (code) {
        return snippet_1.snippet({
            "snippet.ts": factory(code),
        }, compiler).expect("snippet.ts");
    };
}
exports.expecter = expecter;
