"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.snippet = exports.expecter = exports.Expect = exports.Compiler = void 0;
var compiler_1 = require("../compiler");
Object.defineProperty(exports, "Compiler", { enumerable: true, get: function () { return compiler_1.Compiler; } });
var expect_1 = require("../expect");
Object.defineProperty(exports, "Expect", { enumerable: true, get: function () { return expect_1.Expect; } });
var snippet_1 = require("../snippet");
function expecter(factory, compilerOrOptions, rootDirectory) {
    if (factory === void 0) { factory = function (code) { return code; }; }
    var compiler = compilerOrOptions instanceof compiler_1.Compiler
        ? compilerOrOptions
        : new compiler_1.Compiler(compilerOrOptions, rootDirectory);
    return function (context, code) {
        return snippet(context, {
            "snippet.ts": factory(code),
        }, compiler).expect("snippet.ts");
    };
}
exports.expecter = expecter;
function snippet(context, files, compiler) {
    var s = snippet_1.snippet(files, compiler);
    s.assertFail = function (message) { return context.fail(message); };
    s.assertPass = function () { return context.pass(); };
    return s;
}
exports.snippet = snippet;
